Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004332 [JEDI VCL] 00 JVCL Components major always 2008-01-16 05:12 2009-07-09 14:24
Reporter ZENsan View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0004332: Wrong error message with TJvDBDateTimePicker when Null value with NullText
Description I set NullText = 'Never' and then ran application. And now when I press on arrow (to drop down calendar) it show calendar and all is ok until I exit this control (escape, or mouse click out of the picker)... - then it show to me error "You must be in ShowCheckbox mode to set to this date".
Additional Information object EditWebExpireDate: TJvDBDateTimePicker
  NullText = 'Never'
end
Tags No tags attached.
Attached Files png file icon form.PNG [^] (19,838 bytes) 2008-01-16 05:13
zip file icon PickerBug.zip [^] (1,643 bytes) 2008-06-01 23:26

- Relationships

-  Notes
(0014191)
obones (administrator)
2008-02-20 09:41

Please provide the zipped sources of a standalone application showing this.
(0014297)
ZENsan (reporter)
2008-05-28 01:52

Reminder sent to: obones

Can you take a look at this small promlem.
(0014305)
obones (administrator)
2008-05-28 10:44

As I said, I need the sources of a sample application showing this.
(0014321)
ZENsan (reporter)
2008-06-01 23:25

I uploaded demo application. There is also second bug. When JvDBDateTimePicker in dtkTime mode sets field value to NULL when it is not right.
(0014419)
obones (administrator)
2008-07-23 06:48

I'm seeing it, I know why it is happening (null date requires checkbox), but I don't know what to do.
(0015810)
obones (administrator)
2009-07-09 14:24

I believe this is fixed in SVN.

- Issue History
Date Modified Username Field Change
2008-01-16 05:12 ZENsan New Issue
2008-01-16 05:13 ZENsan File Added: form.PNG
2008-02-20 09:41 obones Note Added: 0014191
2008-02-20 09:41 obones Status new => feedback
2008-05-28 01:52 ZENsan Issue Monitored: obones
2008-05-28 01:52 ZENsan Note Added: 0014297
2008-05-28 10:44 obones Note Added: 0014305
2008-06-01 23:25 ZENsan Note Added: 0014321
2008-06-01 23:26 ZENsan File Added: PickerBug.zip
2008-07-23 06:48 obones Note Added: 0014419
2008-07-23 06:48 obones Status feedback => confirmed
2009-07-09 14:24 obones Note Added: 0015810
2009-07-09 14:24 obones Status confirmed => resolved
2009-07-09 14:24 obones Fixed in Version => Daily / SVN
2009-07-09 14:24 obones Resolution open => fixed
2009-07-09 14:24 obones Assigned To => obones


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker